
plugins {
    id("com.android.library")
    id("org.jetbrains.kotlin.android")
    id("com.google.devtools.ksp")
}

android {
    namespace = "com.isidroid.location"
    compileSdk = BuildVersions.COMPILE_SDK

    defaultConfig {
        minSdk = BuildVersions.MIN_SDK

        testInstrumentationRunner = "androidx.test.runner.AndroidJUnitRunner"
        consumerProguardFiles("consumer-rules.pro")
    }

    buildTypes {
        release {
            isMinifyEnabled = false
            proguardFiles(getDefaultProguardFile("proguard-android-optimize.txt"), "proguard-rules.pro")
        }
    }
    compileOptions {
        sourceCompatibility = JavaVersion.VERSION_17
        targetCompatibility = JavaVersion.VERSION_17
    }
    kotlinOptions {
        jvmTarget = "17"
    }

    flavorDimensionList.add("distributor")
    productFlavors {
        create("google"){
            dimension = "distributor"
        }

        create("huawei"){
            dimension = "distributor"
        }
    }
}

val googleImplementation by configurations
val huaweiImplementation by configurations

dependencies {
    implementation(project((":core:network")))

    api("androidx.core:core-ktx:${GoogleVersions.coreKtx}")
    api("androidx.appcompat:appcompat:${GoogleVersions.appCompat}")
    api("com.google.dagger:hilt-android:${GoogleVersions.hilt}")

    ksp("com.google.dagger:hilt-compiler:${GoogleVersions.hilt}")

    // tools
    api("com.jakewharton.timber:timber:${ToolsVersions.timber}")

    googleImplementation("com.google.android.gms:play-services-location:${GoogleVersions.location}")

    testImplementation("junit:junit:${TestVersions.junit}")
    androidTestImplementation("androidx.test.ext:junit:${TestVersions.junitExt}")
    androidTestImplementation("androidx.test.espresso:espresso-core:${TestVersions.espressoCore}")
}